org.apache.cassandra.db.filter

## Class NamesQueryFilter

- java.lang.Object
- - org.apache.cassandra.db.filter.NamesQueryFilter

All Implemented Interfaces:
  IDiskAtomFilter

    public class NamesQueryFilter
    extends java.lang.Object
    implements IDiskAtomFilter

### Nested Class Summary

Nested Classes
`static class` `NamesQueryFilter.Serializer`

### Field Summary

Fields
`java.util.SortedSet<CellName>` `columns`

### Constructor Summary

Constructors
Constructor and Description
`NamesQueryFilter(java.util.SortedSet<CellName> columns)`
`NamesQueryFilter(java.util.SortedSet<CellName> columns, boolean countCQL3Rows)`

### Method Summary

All Methods Instance Methods Concrete Methods
`NamesQueryFilter` `cloneShallow()`
`void` `collectReducedColumns(ColumnFamily container, java.util.Iterator<Cell> reducedColumns, DecoratedKey key, int gcBefore, long now)` collects columns from reducedColumns into returnCF.
`ColumnCounter` `columnCounter(CellNameType comparator, long now)`
`boolean` `countCQL3Rows()`
`boolean` `countCQL3Rows(CellNameType comparator)`
`java.util.Comparator<Cell>` `getColumnComparator(CellNameType comparator)`
`java.util.Iterator<Cell>` `getColumnIterator(ColumnFamily cf)` returns an iterator that returns columns from the given columnFamily matching the Filter criteria in sorted order.
`OnDiskAtomIterator` `getColumnIterator(DecoratedKey key, ColumnFamily cf)`
`int` `getLiveCount(ColumnFamily cf, long now)`
`java.util.Iterator<RangeTombstone>` `getRangeTombstoneIterator(ColumnFamily source)`
`OnDiskAtomIterator` `getSSTableColumnIterator(SSTableReader sstable, DecoratedKey key)` returns an iterator that returns columns from the given SSTable matching the Filter criteria in sorted order.
`OnDiskAtomIterator` `getSSTableColumnIterator(SSTableReader sstable, FileDataInput file, DecoratedKey key, RowIndexEntry indexEntry)` Get an iterator that returns columns from the given SSTable using the opened file matching the Filter criteria in sorted order.
`boolean` `isFullyCoveredBy(ColumnFamily cf, long now)` Whether the provided cf, that is assumed to contain the head of the partition, contains enough data to cover this filter.
`boolean` `isHeadFilter()`
`boolean` `isReversed()`
`boolean` `maySelectPrefix(CType type, Composite prefix)`
`boolean` `shouldInclude(SSTableReader sstable)`
`java.lang.String` `toString()`
`void` `updateColumnsLimit(int newLimit)`
`NamesQueryFilter` `withUpdatedColumns(java.util.SortedSet<CellName> newColumns)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### columns

    public final java.util.SortedSet<CellName> columns

### Constructor Detail

#### NamesQueryFilter

    public NamesQueryFilter(java.util.SortedSet<CellName> columns)

#### NamesQueryFilter

    public NamesQueryFilter(java.util.SortedSet<CellName> columns,
                            boolean countCQL3Rows)

### Method Detail

#### cloneShallow

    public NamesQueryFilter cloneShallow()

Specified by:
  `cloneShallow` in interface `IDiskAtomFilter`

#### withUpdatedColumns

    public NamesQueryFilter withUpdatedColumns(java.util.SortedSet<CellName> newColumns)

#### getColumnIterator

    public java.util.Iterator<Cell> getColumnIterator(ColumnFamily cf)

Description copied from interface: `IDiskAtomFilter`
returns an iterator that returns columns from the given columnFamily matching the Filter criteria in sorted order.

Specified by:
  `getColumnIterator` in interface `IDiskAtomFilter`

#### getColumnIterator

    public OnDiskAtomIterator getColumnIterator(DecoratedKey key,
                                                ColumnFamily cf)

Specified by:
  `getColumnIterator` in interface `IDiskAtomFilter`

#### getSSTableColumnIterator

    public OnDiskAtomIterator getSSTableColumnIterator(SSTableReader sstable,
                                                       DecoratedKey key)

Description copied from interface: `IDiskAtomFilter`
returns an iterator that returns columns from the given SSTable matching the Filter criteria in sorted order.

Specified by:
  `getSSTableColumnIterator` in interface `IDiskAtomFilter`

#### getSSTableColumnIterator

    public OnDiskAtomIterator getSSTableColumnIterator(SSTableReader sstable,
                                                       FileDataInput file,
                                                       DecoratedKey key,
                                                       RowIndexEntry indexEntry)

Description copied from interface: `IDiskAtomFilter`
Get an iterator that returns columns from the given SSTable using the opened file matching the Filter criteria in sorted order.

Specified by:
  `getSSTableColumnIterator` in interface `IDiskAtomFilter`
  `file` - Already opened file data input, saves us opening another one
  `key` - The key of the row we are about to iterate over

#### collectReducedColumns

    public void collectReducedColumns(ColumnFamily container,
                                      java.util.Iterator<Cell> reducedColumns,
                                      DecoratedKey key,
                                      int gcBefore,
                                      long now)

Description copied from interface: `IDiskAtomFilter`
collects columns from reducedColumns into returnCF. Termination is determined by the filter code, which should have some limit on the number of columns to avoid running out of memory on large rows.

Specified by:
  `collectReducedColumns` in interface `IDiskAtomFilter`

#### getColumnComparator

    public java.util.Comparator<Cell> getColumnComparator(CellNameType comparator)

Specified by:
  `getColumnComparator` in interface `IDiskAtomFilter`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`

#### isReversed

    public boolean isReversed()

Specified by:
  `isReversed` in interface `IDiskAtomFilter`

#### updateColumnsLimit

    public void updateColumnsLimit(int newLimit)

Specified by:
  `updateColumnsLimit` in interface `IDiskAtomFilter`

#### getLiveCount

    public int getLiveCount(ColumnFamily cf,
                            long now)

Specified by:
  `getLiveCount` in interface `IDiskAtomFilter`

#### maySelectPrefix

    public boolean maySelectPrefix(CType type,
                                   Composite prefix)

Specified by:
  `maySelectPrefix` in interface `IDiskAtomFilter`

#### shouldInclude

    public boolean shouldInclude(SSTableReader sstable)

Specified by:
  `shouldInclude` in interface `IDiskAtomFilter`

#### isFullyCoveredBy

    public boolean isFullyCoveredBy(ColumnFamily cf,
                                    long now)

Description copied from interface: `IDiskAtomFilter`
Whether the provided cf, that is assumed to contain the head of the partition, contains enough data to cover this filter.

Specified by:
  `isFullyCoveredBy` in interface `IDiskAtomFilter`

#### isHeadFilter

    public boolean isHeadFilter()

Specified by:
  `isHeadFilter` in interface `IDiskAtomFilter`

#### countCQL3Rows

    public boolean countCQL3Rows(CellNameType comparator)

Specified by:
  `countCQL3Rows` in interface `IDiskAtomFilter`

#### countCQL3Rows

    public boolean countCQL3Rows()

#### columnCounter

    public ColumnCounter columnCounter(CellNameType comparator,
                                       long now)

Specified by:
  `columnCounter` in interface `IDiskAtomFilter`

#### getRangeTombstoneIterator

    public java.util.Iterator<RangeTombstone> getRangeTombstoneIterator(ColumnFamily source)

Specified by:
  `getRangeTombstoneIterator` in interface `IDiskAtomFilter`